Bug 1419268 - [abrt] sddm: SDDM::XcbKeyboardBackend::initLedMap(): sddm-greeter killed by SIGSEGV
Summary: [abrt] sddm: SDDM::XcbKeyboardBackend::initLedMap(): sddm-greeter killed by S...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: sddm
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Martin Bříza
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:85226ccd4223494c2882b1b1bc1...
: 1244447 1312005 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-04 14:02 UTC by jonandmykaela
Modified: 2017-08-08 19:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 19:37:50 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (28.35 KB, text/plain)
2017-02-04 14:02 UTC, jonandmykaela
no flags Details
File: cgroup (242 bytes, text/plain)
2017-02-04 14:02 UTC, jonandmykaela
no flags Details
File: core_backtrace (1.70 KB, text/plain)
2017-02-04 14:02 UTC, jonandmykaela
no flags Details
File: dso_list (11.05 KB, text/plain)
2017-02-04 14:02 UTC, jonandmykaela
no flags Details
File: environ (517 bytes, text/plain)
2017-02-04 14:02 UTC, jonandmykaela
no flags Details
File: exploitable (82 bytes, text/plain)
2017-02-04 14:02 UTC, jonandmykaela
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-04 14:02 UTC, jonandmykaela
no flags Details
File: maps (44.89 KB, text/plain)
2017-02-04 14:03 UTC, jonandmykaela
no flags Details
File: mountinfo (3.47 KB, text/plain)
2017-02-04 14:03 UTC, jonandmykaela
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-04 14:03 UTC, jonandmykaela
no flags Details
File: open_fds (770 bytes, text/plain)
2017-02-04 14:03 UTC, jonandmykaela
no flags Details
File: proc_pid_status (1.09 KB, text/plain)
2017-02-04 14:03 UTC, jonandmykaela
no flags Details
File: var_log_messages (2.42 KB, text/plain)
2017-02-04 14:03 UTC, jonandmykaela
no flags Details


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 93701 None None None 2017-02-11 19:42:57 UTC
Red Hat Bugzilla 1382111 None None None Never

Internal Links: 1382111

Description jonandmykaela 2017-02-04 14:02:45 UTC
Version-Release number of selected component:
sddm-0.13.0-7.fc24

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/bin/sddm-greeter --socket /tmp/sddm-:0-JAXmeM --theme /usr/share/sddm/themes/01-breeze-fedora
crash_function: SDDM::XcbKeyboardBackend::initLedMap
executable:     /usr/bin/sddm-greeter
global_pid:     2330
kernel:         4.5.5-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            993

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 SDDM::XcbKeyboardBackend::initLedMap at /usr/src/debug/sddm-0.13.0/src/greeter/XcbKeyboardBackend.cpp:122
 #1 SDDM::XcbKeyboardBackend::init at /usr/src/debug/sddm-0.13.0/src/greeter/XcbKeyboardBackend.cpp:40
 #2 SDDM::KeyboardModel::KeyboardModel at /usr/src/debug/sddm-0.13.0/src/greeter/KeyboardModel.cpp:31
 #3 SDDM::GreeterApp::GreeterApp at /usr/src/debug/sddm-0.13.0/src/greeter/GreeterApp.cpp:115

Potential duplicate: bug 1312005

Comment 1 jonandmykaela 2017-02-04 14:02:52 UTC
Created attachment 1247694 [details]
File: backtrace

Comment 2 jonandmykaela 2017-02-04 14:02:52 UTC
Created attachment 1247695 [details]
File: cgroup

Comment 3 jonandmykaela 2017-02-04 14:02:53 UTC
Created attachment 1247696 [details]
File: core_backtrace

Comment 4 jonandmykaela 2017-02-04 14:02:55 UTC
Created attachment 1247697 [details]
File: dso_list

Comment 5 jonandmykaela 2017-02-04 14:02:56 UTC
Created attachment 1247698 [details]
File: environ

Comment 6 jonandmykaela 2017-02-04 14:02:57 UTC
Created attachment 1247699 [details]
File: exploitable

Comment 7 jonandmykaela 2017-02-04 14:02:58 UTC
Created attachment 1247700 [details]
File: limits

Comment 8 jonandmykaela 2017-02-04 14:03:00 UTC
Created attachment 1247701 [details]
File: maps

Comment 9 jonandmykaela 2017-02-04 14:03:02 UTC
Created attachment 1247702 [details]
File: mountinfo

Comment 10 jonandmykaela 2017-02-04 14:03:03 UTC
Created attachment 1247703 [details]
File: namespaces

Comment 11 jonandmykaela 2017-02-04 14:03:04 UTC
Created attachment 1247704 [details]
File: open_fds

Comment 12 jonandmykaela 2017-02-04 14:03:05 UTC
Created attachment 1247705 [details]
File: proc_pid_status

Comment 13 jonandmykaela 2017-02-04 14:03:07 UTC
Created attachment 1247706 [details]
File: var_log_messages

Comment 14 Raphael Groner 2017-02-04 15:39:37 UTC
This bug exists since Fedora 22!

Comment 15 Raphael Groner 2017-02-04 15:40:00 UTC
*** Bug 1244447 has been marked as a duplicate of this bug. ***

Comment 16 Raphael Groner 2017-02-04 15:41:14 UTC
*** Bug 1312005 has been marked as a duplicate of this bug. ***

Comment 17 Rex Dieter 2017-02-04 15:51:29 UTC
Any ideas how to reproduce this?

Or ideally, please report upstream to 
https://github.com/sddm/sddm/issues

Comment 18 Raphael Groner 2017-02-11 19:42:57 UTC
(In reply to Rex Dieter from comment #17)
> Any ideas how to reproduce this?
> 
> Or ideally, please report upstream to 
> https://github.com/sddm/sddm/issues

From the old bug #1244447:
 Alvin 2016-05-03 13:51:43 CEST

This occurs on fresh install. At first boot, monitor is blank.
Likewise, restarting sddm shows a blank screen.

--
It seems to be related to the known bug with the wrong default keyboard layout ("always us") due to a bug in xorg/xcb.
https://bugs.freedesktop.org/show_bug.cgi?id=93701
https://github.com/sddm/sddm/issues/202

Comment 19 Fedora End Of Life 2017-07-26 00:14:30 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 20 Fedora End Of Life 2017-08-08 19:37:50 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.